//-----------------------------------------
// LScript Generic Enable MotionMixer
//
// Copyright 2007 Michael Green
// plugin@shortbutpurple.fsnet.co.uk
//

myversion=0.1;
@version 2.9
@warnings
@script generic

// global values go here

generic
{
	myselect=Scene().getSelect();
	if(!myselect)
	{
		error("Please select something");
	}

	for(i=1;i<=myselect.size();i++)
	{
		EnableMotionMixer(myselect[i]);
	}

	SelectItem(myselect[1].id);
	for(i=2;i<=myselect.size();i++)
	{
		AddToSelection(myselect[i].id);
	}
	mysize=myselect.size();
	info("Motion mixer enabled on "+mysize.asStr()+" item(s) and children");
}

EnableMotionMixer:child
{
	StatusMsg("Enabling "+child.name);
	i=1;
    while(child.server("ItemMotionHandler",i))
    {
		myserver=child.server("ItemMotionHandler",i);
		if(myserver=="MM_MotionDriver")
		{
			SelectItem(child.id);
			EnableServer("ItemMotionHandler",i,1);
		}
        i++;
    }
    mychild=child.firstChild();
	while(mychild)
	{
		EnableMotionMixer(mychild);
    	mychild=child.nextChild();
	}
}